#include <bits/stdc++.h>

template<class T>
T sqr(T x) {
    return x * x;
}

int main() {
    freopen("division.in", "r", stdin);
    freopen("division.out", "w", stdout);
    int n;
    std::cin >> n;
    int min_ans = 2147483647;
    int best_a = -1, best_b = -1, best_c = -1;
    for (int a = 1; a * 3 + 3 <= n; a++) {
        int b = (n - a) / 2 - ((n - a) % 2 == 0);
        int c = n - a - b;
        if (b <= a || c <= b) {
            continue;
        }
        int new_ans = a * a + b * b + c * c;
        if (new_ans < min_ans) {
            min_ans = new_ans;
            best_a = a;
            best_b = b;
            best_c = c;
        }        
    }
    std::cout << best_a << " " << best_b << " " << best_c << '\n';
    return 0;
}
